package net.wapro.secsample.web.controller;


import java.io.Serializable;
import java.util.List;

import javax.annotation.Resource;
import javax.enterprise.context.SessionScoped;
import javax.faces.context.ExternalContext;
import javax.faces.context.FacesContext;
import javax.inject.Inject;
import javax.inject.Named;

import net.wapro.secsample.ejb.SecretNewsService;

@Named
@SessionScoped
public class SomeController  implements Serializable{

	private static final long serialVersionUID = 1L;

	@Inject
	SecretNewsService secretNewsService;


	public String getUserName() {
		ExternalContext externalContext = FacesContext.getCurrentInstance().getExternalContext();
		String remoteUser = externalContext.getRemoteUser();
		String principal = "null";
		if(externalContext.getUserPrincipal() != null) {
			principal = externalContext.getUserPrincipal().getName();

		}
		return "RemoteUser: [" + remoteUser + "] Principal: [" + principal  +"]" ;
	}


	public List<?> getAllNews() {
		return secretNewsService.getAllSecretNews();
	}


	public List<?> getHighNews() {
		return secretNewsService.getAllSecretNews4High();
	}


	public List<?> getLowNews() {
		return secretNewsService.getAllSecretNews4Low();
	}

	public String getCallerName() {
		return secretNewsService.getCallerName();
	}




}

